## ocaml-stringext 1.6.0

=== Makefile ===
.PHONY: all clean test

all:
	dune build

test:
	dune runtest

clean:
	rm -rf _build *.install

## ocaml-stringext 0.0.1

=== debian/changelog ===
ocaml-stringext (0.0.1-1) UNRELEASED; urgency=low

  * Initial package

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Fri, 02 May 2014 12:00:00 +0000

=== debian/control ===
Source: ocaml-stringext
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 dh-ocaml (>= 0.9),
 ocaml-nox,
 python,
 debhelper (>= 8),
 ocaml-findlib,
 ocaml-native-compilers

Package: ocaml-stringext
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: String manipulation functions
 Extra string functions for OCaml

Package: ocaml-stringext-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 ocaml-stringext (>= 0.0.1-1)
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-stringext
 The ocaml-stringext-devel package contains libraries and signature
 files for developing applications that use ocaml-stringext.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/cdbs/1/rules/ocaml.mk

export DH_VERBOSE=1
export DH_OPTIONS
export DESTDIR=$(CURDIR)/debian/tmp
%:
	dh $@ --with ocaml --with python2

.PHONY: override_dh_auto_configure
override_dh_auto_configure:

.PHONY: override_dh_auto_build
override_dh_auto_build:
	debian/build.sh

.PHONY: override_dh_auto_install
override_dh_auto_install:
	debian/install.sh

.PHONY: override_dh_install
override_dh_install:
	dh_install
	rm -f debian/ocaml-stringext/usr/lib/ocaml/stringext/*.a
	rm -f debian/ocaml-stringext/usr/lib/ocaml/stringext/*.cmxa
	rm -f debian/ocaml-stringext/usr/lib/ocaml/stringext/*.cmx
	rm -f debian/ocaml-stringext/usr/lib/ocaml/stringext/*.mli

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	debian/clean.sh
	/bin/rm -rf ${DESTDIR}

.PHONY: override_dh_auto_test
override_dh_auto_test:

## ocaml-stringext 1.6.0

=== debian/changelog ===
ocaml-stringext (1.6.0-1) unstable; urgency=medium

  * Initial release (Closes: #1000369)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 22 Nov 2021 10:19:16 +0100

=== debian/control ===
Source: ocaml-stringext
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml-nox,
 ocaml-dune,
 libounit-ocaml-dev,
 libqcheck-ocaml-dev,
 dh-ocaml
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-stringext
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-stringext.git
Homepage: https://github.com/rgrinberg/stringext

Package: libstringext-ocaml-dev
Provides: ${ocaml:Provides}
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: ocaml-findlib
Description: extra string functions for OCaml (dev files)
 Extra string functions for OCaml. Mainly splitting. All functions are
 in the Stringext module.
 .
 This package contains development files.

Package: libstringext-ocaml
Provides: ${ocaml:Provides}
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: extra string functions for OCaml (runtime files)
 Extra string functions for OCaml. Mainly splitting. All functions are
 in the Stringext module.
 .
 This package contains runtime files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p stringext

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/*/LICENSE*
